package com.muyu.vehicle.api;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.JSONBody;
import com.dtflys.forest.annotation.Post;
import com.muyu.web.common.Result;
import com.muyu.web.config.properties.ServiceConfigProperties;
import com.muyu.web.domain.model.MqttServerModel;
import com.muyu.vehicle.api.req.VehicleConnectionReq;

/**
 * @author DongZl
 * @description: 客户端的管理
 * @Date 2023-11-28 上午 10:20
 */
public interface ClientAdmin {

    /**
     * 获取车辆负载地址
     * @param serviceConfigProperties 负载配置
     * @param vehicleConnectionReq 请求信息
     * @return 响应结果
     */
    @Post(
            url = "{vehicleLoadUrl}"
    )
    public Result<MqttServerModel> getVehicleLoadAddr (ServiceConfigProperties serviceConfigProperties, @JSONBody VehicleConnectionReq vehicleConnectionReq);
}
