package com.muyu.web.service.impl;

import com.muyu.web.domain.model.TaskModel;
import com.muyu.web.domain.resp.UnifiedTaskResp;
import com.muyu.web.service.PositionRouteService;
import com.muyu.web.service.VehicleInstanceService;
import com.muyu.web.service.VehicleUnifiedService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author DongZeLiang
 * @version 1.0
 * @description 一键设置业务实现层
 * @date 2023/12/6
 */
@Log4j2
@Service
public class VehicleUnifiedServiceImpl implements VehicleUnifiedService {

    @Autowired
    private VehicleInstanceService vehicleInstanceService;

    @Autowired
    private PositionRouteService positionRouteService;


    /**
     * 任务执行模型
     */
    private final TaskModel taskModel = new TaskModel();

    /**
     * 一键上线
     */
    @Override
    public void unifiedOnline () {

    }

    /**
     * 一键离线
     */
    @Override
    public void unifiedOffline () {

    }

    /**
     * 一键上报
     */
    @Override
    public void unifiedSend () {

    }

    /**
     * 一键重置路径
     */
    @Override
    public void unifiedPosition () {

    }

    /**
     * 一键取消上报
     */
    @Override
    public void unifiedStop () {

    }

    /**
     * 一键执行状态
     *
     * @return 一键执行状态
     */
    @Override
    public UnifiedTaskResp unifiedStatus() {
        boolean unifiedStatus = this.taskModel.getUnifiedStatus().get();
        return UnifiedTaskResp.builder()
                .unifiedStatus(unifiedStatus)
                .taskErrorSum(this.taskModel.getErrorSum())
                .taskExecutionSum(this.taskModel.getTaskExecutionSum())
                .taskSuccessSum(this.taskModel.getSuccessSum())
                .taskName(this.taskModel.getTaskName())
                .taskStartTime(System.currentTimeMillis() - this.taskModel.getTaskStartTime())
                .build();
    }
}
